Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: [HOWTO] Подключение принтеров Canon LBP, работающих с драйвером CAPT  (Прочитано 218406 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Morisson

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 4588
    • Просмотр профиля
так почитал бы скрипт, там нет и намека на вмешательство в гуй системы.

Оффлайн su_cpp

  • Новичок
  • *
  • Сообщений: 19
    • Просмотр профиля
так почитал бы скрипт, там нет и намека на вмешательство в гуй системы.

я не знаю что он там за пакеты заменял но грошнул кучу стандартных пакетов вместе с кучей программ


Пользователь добавил сообщение 10 Январь 2018, 17:31:31:
sudo apt install gimp

> Пакеты, имеющие неудовлетворённые зависимости:
> gimp : Зависит: libgegl-0.3-0 (>= 0.3.0) но он не будет установлен

sudo apt install libgegl-0.3-0

> Пакеты, имеющие неудовлетворённые зависимости:
> libgegl-0.3-0 : Зависит: libumfpack5.7.1 но он не будет установлен

sudo apt install libumfpack5.7.1

> Пакеты, имеющие неудовлетворённые зависимости:
> libumfpack5.7.1 : Зависит: libcholmod3.0.6 но он не будет установлен

sudo apt install libcholmod3.0.6

> Пакеты, имеющие неудовлетворённые зависимости:
> libcholmod3.0.6 : Зависит: liblapack3 но он не будет установлен

sudo apt install liblapack3

> Пакеты, имеющие неудовлетворённые зависимости:
> liblapack3 : Зависит: libgfortran3 (>= 4.6) но он не будет установлен

sudo apt install libgfortran3

> Пакеты, имеющие неудовлетворённые зависимости:
> libgfortran3 : Зависит: gcc-5-base (= 5.4.0-6ubuntu1~16.04.4) но 5.4.0-6ubuntu1~16.04.5 будет установлен
> E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Финиш.
Как это исправить?
sudo dpkg --configure -a
не срабатывает!
« Последнее редактирование: 10 Январь 2018, 17:31:31 от su_cpp »

Оффлайн Anaferon

  • Участник
  • *
  • Сообщений: 106
    • Просмотр профиля
Господа, добрый день, перестал работать LBP 2900 на 16.04.3
раньше всё было нормально, драйвера ставил руками, попробовал снести всё и поставить скриптом, успеха не принесло, снёс и опять поставил руками ни чего не помогает, печать уходит в задания в статус "обработка".
После включения принтера физически, в /dev/usb/ на пару секунд появляется lp1 и исчезает.
captstatusui просит проверить конфиг - Check the <Printer ***> of /etc/ccpd.conf   , но там вроде бы всё в норме.

P.S.
Не знаю как, но эта штука снова заработала...
« Последнее редактирование: 16 Январь 2018, 13:23:08 от Anaferon »

Оффлайн Джим

  • Любитель
  • *
  • Сообщений: 76
    • Просмотр профиля
Всем привет!
Перешел с Ubuntu 17.04 на 17.10. В 17.10 не захотел работать мой  LBP-1120. При запуске скрипта Кодена canon_lbp_setup.sh, возникает ошибка "команда не найдена". Установка  вручную также не дала результата. Пробная страница становится в очередь на печать, но не печатается. Если кто понимает в чём тут дело, прошу помочь.

Ура! После недолгих танцев с бубном, удалось запустить скрипт Кодена с журналированием и он всё сделал. Однако повторно запустить скрипт не удаётся.
Всё. Справился и с этим
« Последнее редактирование: 19 Январь 2018, 19:41:39 от Джим »

Оффлайн Snaut

  • Участник
  • *
  • Сообщений: 146
  • Гномофил-кедерастоненавистник
    • Просмотр профиля
    • Фельдшер Ру
Ура! После недолгих танцев с бубном, удалось запустить скрипт Кодена с журналированием и он всё сделал. Однако повторно запустить скрипт не удаётся.
Всё. Справился и с этим

Можно за Вас порадоваться, но не будете ли столь любезны описать каким убразом решили свою проблему? :)
Чтобы правильно задать вопрос, надо знать бОльшую часть ответа.

Оффлайн Джим

  • Любитель
  • *
  • Сообщений: 76
    • Просмотр профиля
Можно за Вас порадоваться
Спасибо, Snaut
я сам толком не разобрался как мне это удалось. Как я писал ранее, мне не удавалось запустить скрипт Кодена и я ошибочно предполагал, что этот скрипт не находит какой-то файл в системе. Позже я понял, что неправильно вызываю на исполнение сам скрипт и стал вызывать его вот так:
sudo logsave log.txt ./canon_lbp_setup.sh
Скрипт начал работать без проблем и заработал мой принтер. Вот и всё.
PS
Сегодня переустановил свой принтер в Ubuntu 18.04. Скрипт Кодена отработал безукоризненно.
« Последнее редактирование: 05 Май 2018, 11:34:30 от Джим »

Оффлайн DIK13

  • Новичок
  • *
  • Сообщений: 7
    • Просмотр профиля
На Ubuntu 16.04 LTS (64 бит) исправно трудится Canon LBP2900.
Обновил до 16.10 и уставится libpng16, а cndrvcups-capt требует libpng12, которого нет.
Подскажите как можно вернуться на LTS или как можно создать симлинк на 16ю версию.
Проблема, так полагаю, и с teamviewer будет.

Пользователь добавил сообщение 19 Ноябрь 2016, 16:56:36:
Сам спросил - сам ответил. Нашел пакет libpng12-0 : Yakkety (16.10) amd64
тут -> http://packages.ubuntu.com/xenial/amd64/libpng12-0/download
dpkg --install libpng12-0_1.2.54-1ubuntu1_amd64.deb далее по инструкции ./canon_lbp_setup.sh

И CAPT установился и принтер заработал.
Скачал и установил вручную https://packages.ubuntu.com/xenial/libs/libpng12-0
Тоже делал для своего ubuntu-mate 18.04 lts. Canon lbp3010 работает.

Оффлайн denistyshchik1991

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Доброго времени суток.
Проблема с Canon lbp6000. скрипт выпадает в ошибку на установке библиотек. Система Lubuntu 17.10 x64.
При установке ручками пакетов cndrvcups-common и cndrvcups-capt они ставятся без проблем.Принтер добавляется, при пробной печати показывавет сначала Обработка - Отправка данных на принтер, после простаивает, но ничего не происходит.
Лог скрипта
(Нажмите, чтобы показать/скрыть)

руками доставляя зависимости систему пару раз грохнул уже...

Оффлайн artemiusm90

  • Новичок
  • *
  • Сообщений: 29
    • Просмотр профиля
Добрый день! Подскажите порядок действий Canon LBP 29000 установил через скрипт canon_lbp_setup.sh все  нормально установилось принтер начал печатать, раздал его в сеть, какое то время спустя перестал печатать помогла повторная установка через скрипт но эта фигня случается с заядлой переодичностью, вычитал что есть скрипт перезапуска без переустановок он же canon_restart.sh, им не разу не пользовался, но сразу есть вопрос будет ли он нормально выполняться если в его свойствах прописать запуск приложения, просто дело в том что за пк сидит девушка и каждый раз ей работать в терминале проблема, смысл в том чтобы добиться максимальной простоты и безперебойности работы принтера

Отправлено с моего JSN-L22 через Tapatalk
« Последнее редактирование: 19 Август 2019, 10:38:50 от artemiusm90 »

Оффлайн John-VEG

  • Любитель
  • *
  • Сообщений: 55
    • Просмотр профиля
Всем привет. Не печатает принтер Canon LBP-1120.
Устанавливал скриптом https://drive.google.com/uc?export=download&confirm=no_antivirus&id=1c4NvmwQAHuwKZl0lOwXHWb87UT-0byML (canon_lbp_setup.sh)
Вот вывод скрипта:
(Нажмите, чтобы показать/скрыть)

Оффлайн Сантёр

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Где вручную можно скачать эти пакеты?
libatk1.0-0:i386 libcairo2:i386 libgtk2.0-0:i386 libpango1.0-0:i386 libstdc++6:i386 libxml2:i386 libpopt0:i386
А то пишет, что источник установочных файлов недоступен или типо того.

Система Ubuntu 18.04, 64-разрядная
Принтеры LBP810 и LBP1120.

Всё устанавливал без скриптов.
Веб-интерфейс сервера работает, принтеры отображаются но не печатают.
Выдаёт ошибку  ccp send_data error, exit
Решение проблемы нашёл здесь http://adlersky.top/?p=572 для работы 64-разрядного драйвера необходимы некоторые 32-разрядные библиотеки

Оффлайн Andronik

  • Новичок
  • *
  • Сообщений: 4
    • Просмотр профиля
Успешно установил драйвер LBP-1120 на Mint 19.3, который основан на Ubuntu 18.04 64bit.
Для этого надо сначала установить пакет libpng12-0_1.2.54-1ubuntu1.1_amd64.deb (где взял не помню, но думаю найти в сети нетрудно, например, здесь: pkgs.org)
Далее запустить скрипт canon_lbp_setup.sh.
При первом прогоне скрипта установки сообщено, что пакет установился с ошибками. Запустить Synaptic, открыть фильтр "с ошибками", из меню "правка" выбрать "исправить пакеты с ошибками".
Затем снова запустить скрипт установки.
« Последнее редактирование: 19 Июль 2020, 23:58:17 от Andronik »

 

Страница сгенерирована за 0.282 секунд. Запросов: 24.